GD 图象处理库 验证码需要 FreeType 支持 总是无法成功安装怎么办?

我的环境总报这个错。实在无解。请大大帮助!

一、错误信息如下:

× WeCenter 至少需要有 GD 图象处理库才能正常运行
× FreeType 支持× WeCenter 的验证码需要 FreeType 支持
二、源码成功安装,但最后安装wecenter却又报错?何解?安装环境如下:环境:ubuntu18.04 + php 7.4.6 源码+ php-fpm + nginx-1.9.12.tar.gz + freetype-2.4.11.tar.gz + gd-2.0.33.tar.gz
三、安排顺序:
1. autoconf-2.69.tar.gz+jpegsrc.v9.tar.gz+libpng-1.2.22.tar.bz2+zlib-1.2.3.tar.gz
2. mysql
3. freetype-2.4.11.tar.gz+m4-1.4.9.tar.gz+gd.2.0.33.tar.gz
4. nginx
5. libiconv-1.14.tar.gz+libmcrypt-2.5.8.tar.gz+mcrypt-2.6.8.tar.gz +
mhash-0.9.9.9.tar.gz
6. php.7.4.6.tar.gz
7. livenent-2.0.12-stable.tar.gz+memcache-4.0.5.2.tgz+memcached-1.6.6.tar.gz
四、成功安装库的命令:
tar zxvf freetype-2.4.11.tar.gz
cd freetype-2.4.11
sudo ./configure --prefix=/usr/local/freetype/
sudo make
sudo mkdir /usr/local/include/freetype2/freetype/internal
sudo make install
tar zxvf gd-2.0.33.tar.gz
cd gd-2.0.33
sudo ./configure --prefix=/usr/local/gd --with-png --with-jpeg --with-freetype=/usr/local/freetype/ --enable-gd-native-ttf
sudo make
sudo make install

已邀请:

该问题目前已经被锁定, 无法添加新回复